import { cn } from "../../lib/utils.js";
import { c } from "react/compiler-runtime";
import "react";
import { jsx } from "react/jsx-runtime";
import { CheckIcon } from "lucide-react";
import * as CheckboxPrimitive from "@radix-ui/react-checkbox";
function Checkbox(a) {
	let o = c(9), s, l;
	o[0] === a ? (s = o[1], l = o[2]) : ({className: s, ...l} = a, o[0] = a, o[1] = s, o[2] = l);
	let u;
	o[3] === s ? u = o[4] : (u = cn("peer border-input dark:bg-input/30 data-[state=checked]:bg-primary data-[state=checked]:text-primary-foreground dark:data-[state=checked]:bg-primary data-[state=checked]:border-primary focus-visible:border-ring focus-visible:ring-ring/50 aria-invalid:ring-destructive/20 dark:aria-invalid:ring-destructive/40 aria-invalid:border-destructive size-4 shrink-0 rounded-[4px] border shadow-xs transition-shadow outline-none focus-visible:ring-[3px] disabled:cursor-not-allowed disabled:opacity-50", s), o[3] = s, o[4] = u);
	let d;
	o[5] === Symbol.for("react.memo_cache_sentinel") ? (d = /* @__PURE__ */ jsx(CheckboxPrimitive.Indicator, {
		"data-slot": "checkbox-indicator",
		className: "flex items-center justify-center text-current transition-none",
		children: /* @__PURE__ */ jsx(CheckIcon, { className: "size-3.5" })
	}), o[5] = d) : d = o[5];
	let f;
	return o[6] !== l || o[7] !== u ? (f = /* @__PURE__ */ jsx(CheckboxPrimitive.Root, {
		"data-slot": "checkbox",
		className: u,
		...l,
		children: d
	}), o[6] = l, o[7] = u, o[8] = f) : f = o[8], f;
}
export { Checkbox };
